Package Details: perl-ipc-sharelite 0.17-5

Git Clone URL: https://aur.archlinux.org/perl-ipc-sharelite.git (read-only)
Package Base: perl-ipc-sharelite
Description: Lightweight interface to shared memory
Upstream URL: http://search.cpan.org/~andya/IPC-ShareLite-0.17/
Licenses: GPL, PerlArtistic
Submitter: Synthead
Maintainer: suthernfriend
Last Packager: suthernfriend
Votes: 14
Popularity: 0.176590
First Submitted: 2012-02-24 01:22
Last Updated: 2019-01-18 09:16

Latest Comments

1 2 Next › Last »

heitorpb commented on 2019-04-10 16:06

Successfully built this package in a raspberry pi 3 B, using aarch64 kernel.

Please add "aarch64" to the arch list.

Gruentee commented on 2017-10-21 12:20

+1

> Please add “armv7h” to the arch list.

chicomag commented on 2017-05-15 12:57

Please add “armv7h” to the arch list.

mgrimes commented on 2017-03-02 17:48

Please use a full path to the perl executable:

- perl Makefile.PL
+ /usr/bin/perl Makefile.PL

kseistrup commented on 2017-02-11 18:38

Please add “armv7h” to the arch list.

RubenKelevra commented on 2016-06-12 12:33

You should increase epoch by one, since the perl binarys has changed and without recompile it shows up the following error:

ShareLite.c: loadable library and perl binaries are mismatched (got handshake key 0xdb00080, needed 0xdb80080)

Chrissss commented on 2016-01-19 17:06

I was able to build this package on a RPi2, so you can change

arch=('i686' 'x86_64' 'armv6h')

into...

arch=('i686' 'x86_64' 'armv6h' 'armv7h')

ajs124 commented on 2014-06-17 00:46

Commenting out line 58+59 in Makefile.PL "fixes" this isse for me, but simply ignoring errors doesn't really seem like a good approach.

ajs124 commented on 2014-06-16 17:00

I get the same error as rumpelsepp on my raspberry pi, but it compiles on my desktop. I'm confused…

rumpelsepp commented on 2014-06-05 06:46

Does not build with perl 5.20:

Checking if your kit is complete...
Looks good
Can't parse Makefile fragment at Makefile.PL line 58.